yesod-routes-1.2.0.1: Efficient routing for Yesod.

Safe Haskell | Safe-Inferred

Yesod.Routes.Class

# Documentation

class Eq (Route a) => RenderRoute a where Source

Associated Types

data Route a Source

The type-safe URLs associated with a site argument.

Methods

renderRoute :: Route a -> ([Text], [(Text, Text)])Source

class RenderRoute a => ParseRoute a where Source

Methods

parseRoute :: ([Text], [(Text, Text)]) -> Maybe (Route a)Source

class RenderRoute a => RouteAttrs a where Source

Methods

routeAttrs :: Route a -> Set Text Source